Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88298 - Country field gets reset when missing parameters makes the create user form show again
Summary: Country field gets reset when missing parameters makes the create user form s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Red Hat Satellite QA List
URL: https://rhn.redhat.com/network/users/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 17:28 UTC by Christian Rose
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-10 15:13:10 UTC


Attachments (Terms of Use)

Description Christian Rose 2003-04-08 17:28:21 UTC
Description of problem:
When I fill in all fields for adding a new user, and for example the user name
is already taken and the form is shown again, the country choice I chose
previously is reset. The country field shows "United States" again. Selecting
the correct country again in the long list of countries is a tedious process.


Steps to Reproduce:
1. Select Add user.
2. Fill in all values, a username that already exists, and select a country
other than "United States" in the list of countries.
3. Press Create Login.
    
Actual results:
All other values gets prefilled in, but the country choice is reset to "United
States".

Expected results:
The non-"United States" country I selected should be selected in the list of
countries.

Comment 1 Chip Turner 2003-04-14 15:30:34 UTC
assigning to rnorwood

Comment 2 Robin Norwood 2004-02-02 21:04:25 UTC
This issue has been fixed for a while now - updating bug.

Comment 3 Robin Norwood 2004-04-20 15:46:57 UTC
QA Test plan: Create a user in such a way as an error is generated
(use a pre-existing username, for instance), but select a country
other than 'United States'.  Check to make sure your country is
selected when the page returns with the error.

Comment 4 Matt Jamison 2004-04-22 13:52:59 UTC
looks good in qa.

Comment 5 Matt Jamison 2004-05-10 15:13:10 UTC
good in live.


Note You need to log in before you can comment on or make changes to this bug.